Skip to main content

Get my organization

Endpoint: GET /organizations/me

Description

Returns the organization for a project-scoped API key, including its admin and member lists and default_project_id (the organization’s default project for org-shared resources, or null when none is configured). Returns null for a private API key (including an org member’s private key) and for solo accounts with no organization — see Introduction — API key scoping.

Parameters

None.

Error responses

  • 401 — Authentication failed.
  • 500 — Server error.

Responses

  • 200 — JSON organization object, or null if the key has no organization scope (private key or no organization).

Example response (200)

{
"id": 12,
"name": "Acme Corp",
"default_project_id": 5,
"org_admins": [
{
"id": 1,
"email": "admin@acme.com",
"role": { "id": 2, "name": "ORG_ADMIN", "label": "Org Admin" }
}
],
"members": [
{
"id": 7,
"email": "analyst@acme.com",
"role": { "id": 1, "name": "MEMBER", "label": "Member" }
}
],
"created_at": "2025-01-15T08:00:00Z",
"updated_at": "2026-03-10T12:00:00Z"
}
{
"id": 0,
"name": "string",
"default_project_id": "integer | null",
"org_admins": [
{
"id": 0,
"email": "string",
"role": { "id": 0, "name": "string", "label": "string" }
}
],
"members": [
{
"id": 0,
"email": "string",
"role": { "id": 0, "name": "string", "label": "string" }
}
],
"created_at": "date",
"updated_at": "date"
}

curl

curl "https://api.aegisevals.ai/api/v1/organizations/me" \
-H "Authorization: Bearer sk_00000000000000000000000000000000"